//+------------------------------------------------------------------+
//|                                              .mq4 |
//|                                                                * |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "*"
#property link      "*"

#property indicator_separate_window
#property indicator_minimum 1
#property indicator_maximum 100
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters
extern int       ExtParam1;
//---- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   for(int i=0;i<Bars;i++){

      ExtMapBuffer1[i]=100*(s1("EURUSD",i)+s1("EURJPY",i)+s1("EURGBP",i)+s1("EURCHF",i)+s1("EURAUD",i))/5;

   }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

double s1(string aSymbol,int i){
      datetime dst=86400*MathFloor(Time[i]/86400);
      
      int dsb=iBarShift(aSymbol,0,dst,false);
      int nb=iBarShift(aSymbol,0,Time[i],false);       

      int lb=Lowest(aSymbol,0,MODE_LOW,dsb-nb+1,nb);
      int hb=Highest(aSymbol,0,MODE_HIGH,dsb-nb+1,nb);
     
      
      double dh=iHigh(aSymbol,0,hb);
      double dl=iLow(aSymbol,0,lb);     
      double dc=iClose(aSymbol,0,nb);
      if((dc-dl)/(dh-dl)>1){
         Alert(TimeToStr(dst)," ",TimeToStr(Time[i]));
         Alert(dh," ",dl," ",dc,"   ",dsb," ",lb," ",hb," ",nb);
      }
      if(dh-dl==0)return(0.5);
      
      return((dc-dl)/(dh-dl));
}